
import { useState } from'react';

const useQualityModal = () => {
  const [modalOpen, setModalOpen] = useState(false)
  const [modalOpt, setModalOpt] = useState<any>([]); //弹窗配置 // { title, name }
  const [currentCqiData, setCurrentCqiData] = useState({}) // 当前选择的cqi数据，安全 整洁 有序 便民 美观

  const [renderModal, setRenderModal] = useState<any>([]);

  return {
    modalOpen,
    setModalOpen,
    modalOpt,
    setModalOpt,
    renderModal,
    setRenderModal,
    currentCqiData,
    setCurrentCqiData
  };
};

export default useQualityModal